#63 new
funkminsta

plugin won't install with rails 3

Reported by funkminsta | September 28th, 2010 @ 07:39 PM

Best I can tell, the restful_authentication plugin needs to be converted / upgraded to support rails 3. E.g. the following doesn't work:

$ script/generate authenticated user session

Now script/generate has been replaced by rails generate or simply rails g, but when running that, rails can't locate the generator.

I tried copying the generator script from vendor/plugins/restful_authentication/generators/authenticated/ to lib/generators/ – that seemed to get me a step closer but now rails complains:

$ rails generate authenticated user session /usr/local/lib/ruby/gems/1.8/gems/activesupport-3.0.0/lib/active_support/dependencies.rb:239:in require': no such file to load – lib/generators/lib/insert_routes.rb (LoadError)

Thoughts? Thanks in advance. Surprised there isn't an automatic way to convert from rails 2.x plugins to rails 3 compatible plugins..

No comments found

Please Sign in or create a free account to add a new ticket.

With your very own profile, you can contribute to projects, track your activity, watch tickets, receive and update tickets through your email and much more.

New-ticket Create new ticket

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile »

Restful Authentication Generator

This widely-used plugin provides a foundation for securely managing user
authentication:
* Login / logout
* Secure password handling
* Account activation by validating email
* Account approval / disabling by admin
* Rudimentary hooks for authorization and access control.

http://github.com/technoweenie/restful-authentication/tree

People watching this ticket

Pages